SortKey (Java Platform SE 8 )
Keywords: javax.naming.ldap.SortKey class
Date: 2016-12-09

compact3
javax.naming.ldap

## Class SortKey

- java.lang.Object
- - javax.naming.ldap.SortKey

-     public class SortKey
      extends Object

  A sort key and its associated sort parameters. This class implements a sort key which is used by the LDAPv3 Control for server-side sorting of search results as defined in RFC 2891.
  Since:
    1.5
  See Also:
    `SortControl`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortKey(String attrID)` Creates the default sort key for an attribute.
    `SortKey(String attrID, boolean ascendingOrder, String matchingRuleID)` Creates a sort key for an attribute.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAttributeID()` Retrieves the attribute ID of the sort key.
    `String` | `getMatchingRuleID()` Retrieves the matching rule ID used to order the attribute values.
    `boolean` | `isAscending()` Determines the sort order.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortKey

          public SortKey(String attrID)

      Creates the default sort key for an attribute. Entries will be sorted according to the specified attribute in ascending order using the ordering matching rule defined for use with that attribute.
      Parameters:
        `attrID` - The non-null ID of the attribute to be used as a sort key.

    - #### SortKey

          public SortKey(String attrID,
                         boolean ascendingOrder,
                         String matchingRuleID)

      Creates a sort key for an attribute. Entries will be sorted according to the specified attribute in the specified sort order and using the specified matching rule, if supplied.
      Parameters:
        `attrID` - The non-null ID of the attribute to be used as a sort key.
        `ascendingOrder` - If true then entries are arranged in ascending order. Otherwise there are arranged in descending order.
        `matchingRuleID` - The possibly null ID of the matching rule to use to order the attribute values. If not specified then the ordering matching rule defined for the sort key attribute is used.

  - ### Method Detail

    - #### getAttributeID

          public String getAttributeID()

      Retrieves the attribute ID of the sort key.
      Returns:
        The non-null Attribute ID of the sort key.

    - #### isAscending

          public boolean isAscending()

      Determines the sort order.
      Returns:
        true if the sort order is ascending, false if descending.

    - #### getMatchingRuleID

          public String getMatchingRuleID()

      Retrieves the matching rule ID used to order the attribute values.
      Returns:
        The possibly null matching rule ID. If null then the ordering matching rule defined for the sort key attribute is used.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.